# Class yii\db\conditions\LikeCondition

Inheritance | yii\db\conditions\LikeCondition » yii\db\conditions\SimpleCondition
Implements | yii\db\conditions\ConditionInterface
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/LikeCondition.php

Class LikeCondition represents a `LIKE` condition.

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$escapingReplacements | array|false | Map of chars to their replacements, false if characters should not be escaped or either null or empty array if escaping is condition builder responsibility. | yii\db\conditions\LikeCondition

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() |  | yii\db\conditions\LikeCondition
fromArrayDefinition() | Creates object by array-definition as described in Query Builder – Operator format guide article. | yii\db\conditions\LikeCondition
getColumn() |  | yii\db\conditions\SimpleCondition
getEscapingReplacements() |  | yii\db\conditions\LikeCondition
getOperator() |  | yii\db\conditions\SimpleCondition
getValue() |  | yii\db\conditions\SimpleCondition
setEscapingReplacements() | This method allows to specify how to escape special characters in the value(s). | yii\db\conditions\LikeCondition

## Property Details

$escapingReplacements protected property

Map of chars to their replacements, false if characters should not be escaped or either null or empty array if escaping is condition builder responsibility. By default it's set to `null`.

protected array|false $escapingReplacements = null

## Method Details

__construct() public method

public void __construct ( $column, $operator, $value )
$column | string | The column name.
$operator | string | The operator to use (e.g. `LIKE`, `NOT LIKE`, `OR LIKE` or `OR NOT LIKE`)
$value | string[]|string | Single value or an array of values that $column should be compared with. If it is an empty array the generated expression will be a `false` value if operator is `LIKE` or `OR LIKE` and empty if operator is `NOT LIKE` or `OR NOT LIKE`.

fromArrayDefinition() public static method

Creates object by array-definition as described in Query Builder – Operator format guide article.

public static $this fromArrayDefinition ( $operator, $operands )
$operator | string | Operator in uppercase.
$operands | array | Array of corresponding operands
throws | yii\base\InvalidArgumentException | if wrong number of operands have been given.

getEscapingReplacements() public method

public array|false getEscapingReplacements ( )

setEscapingReplacements() public method

This method allows to specify how to escape special characters in the value(s).

public void setEscapingReplacements ( $escapingReplacements )
$escapingReplacements |  |